import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listGoods(query) {
  return request({
    url: '/system/mallexpeditinggoods/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getGoods(id) {
  return request({
    url: '/system/mallexpeditinggoods/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addGoods(data) {
  return request({
    url: '/system/mallexpeditinggoods',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateGoods(data) {
  return request({
    url: '/system/mallexpeditinggoods',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delGoods(id) {
  return request({
    url: '/system/mallexpeditinggoods/' + id,
    method: 'delete'
  })
}
